# Trait heck::ToLowerCamelCase

source · [−]

    pub trait ToLowerCamelCase: ToOwned {
        fn to_lower_camel_case(&self) -> Self::Owned;
    }

Expand description

This trait defines a lower camel case conversion.

In lowerCamelCase, word boundaries are indicated by capital letters, excepting the first word.

### Example:

    use heck::ToLowerCamelCase;

    let sentence = "It is we who built these palaces and cities.";
    assert_eq!(sentence.to_lower_camel_case(), "itIsWeWhoBuiltThesePalacesAndCities");

## Required Methods

source

#### fn to_lower_camel_case(&self) -> Self::Owned

Convert this type to lower camel case.

## Implementations on Foreign Types

source

### impl ToLowerCamelCase for str

source

#### fn to_lower_camel_case(&self) -> String

## Implementors